Subject: Re: [TICTOC] Requirements: trading applications

From: Danny Mayer <[email-masked]>
Date: Sun, 26 Oct 2008 12:25:32 -0400

Yaakov Stein wrote:
> Mike
> 
> I believe that it depends what kind of system we are talking about.
> 
> RFC 2801 (the Internet Open Trading protocol) has (optional) timestamps
> for even small transfers of money.
> 
> Large electronic trading companies often place their servers as geographically close
> to the market's computers as they can, in order to minimize the propagation latency.
> They are assuming that the time that counts is the time a packet containing a transaction order
> ARRIVES at the market's server.
> 
> I do not know of any case law (and perhaps others can help here)
> where this has been definitively established.
> If it turns out that the time that counts is the time the transaction is SENT,
> then we will need a method of distributing highly accurate time to end users
> along with tamper-proofing of the outgoing timestamp.
> 
> Of course, people close to e.g. NASDAQ's computer will still have the
> advantage of getting up-to-date data faster,
> but will lose the advantage of lower propagation latency of their orders.
> 

I can probably get an answer on that since I know one of the people
involved in that implementation. I know they are using standard NTP in
the implementation but as I recall they were more concerned with
simultaneous distribution of information to different organizations so
that was cross-networks and therefore the organizations with the fastest
networks were likely to get the earliest delivery of the information.

Danny
> Y(J)S
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Thursday, September 18, 2008 11:21 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: [TICTOC] Requirements: trading applications
> 
> I don't think timing for trading systems is delivered across the general internet. I would expect these to be custom designed. But then again I am open to be proved wrong.
> 
> Regards
> 
> Mike
> 
> _______________________________________________
> TICTOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tictoc
> 
> 

_______________________________________________
TICTOC mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tictoc